Subject: bug#22296: 25.1.50; Document changes to `delete-selection-mode'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Jan 2016 21:05:00 +0200

> Date: Sun, 3 Jan 2016 10:52:23 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > Really?  The fact that you (apparently) can no longer specify that
> > > a given command is handled by killing the region?  The fact that
> > > there is a new possible value for the property (what is it for)?
> > >
> > > How is a user supposed to understand how to use d-s-mode if these
> > > things are not documented - either in a doc string or in a manual?
> > 
> > How did they understand this before?
> 
> It was in the doc string of d-s-mode.  Each of the possible
> property values was described.

In what version of Emacs?  I tried 24.3 and 24.1, and didn't see that
there.  Maybe I'm blind or didn't look where you intended me to look.
But then you never actually said that, did you?

> > This bug report says "please document changes to
> > delete-selection-mode".  I have shown that what was documented before
> > was updated.
> 
> No.  Previously the doc string documented the possible values
> for the property.  The new value is missing.
> 
> (And the deprecated value was removed from the doc string
> of the mode command but not from the doc string of *-helper.)

Please tell explicitly what function/variables you are alluding to
here, where this documentation existed and was removed.  Also, I don't
know what *-helper refers to.